Bug 1000776 - Cannot list source of debug program
Cannot list source of debug program
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avr-gdb (Show other bugs)
18
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 01:39 EDT by gala_dragos
Modified: 2014-02-05 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:19:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gala_dragos 2013-08-25 01:39:12 EDT
Description of problem:
after connecting to a debugger and starting the debug session, I cannot list the source code of the program being debugged. Instead I get this:

<< BEGIN >>

1   /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S: No such file or directory. 
   in /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S 

<< END >>

I am using AVR Dragon as debugger and the target is AtMega128.
I am connecting to the debugger with avarice.

Version-Release number of selected component (if applicable):
Current version in repository

How reproducible:
Try to debug a target

Steps to Reproduce:
1. Write program on the target with avrdude (because avarice has a bug and it cannot write to any target)
2. Connect to the debugger with avarice.
3. Start avr-gdb
4. try to list the source code

Actual results:
Source code not listing

Expected results:
Source code must list

Additional info:
Here is the whole debug session:

<< BEGIN >>

[user <path_to_elf>]$ avr-gdb -ex "target remote :4242" --symbols=/<path_to_elf>/<file>.elf --cd=/<path_to_elf> 
GNU gdb (GDB) 7.1 
Copyright (C) 2010 Free Software Foundation, Inc. 
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> 
This is free software: you are free to change and redistribute it. 
There is NO WARRANTY, to the extent permitted by law.  Type "show copying" 
and "show warranty" for details. 
This GDB was configured as "--host=i686-pc-linux-gnu --target=avr". 
For bug reporting instructions, please see: 
<http://www.gnu.org/software/gdb/bugs/>... 
Reading symbols from /<path_to_elf>/<file>.elf...done. 
Remote debugging using :4242 
0x00000000 in __vectors () 
(gdb) list 
1   /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S: No such file or directory. 
   in /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S 
(gdb) break 243 
Breakpoint 1 at 0x4af4: file /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S, line 243. 
(gdb) c 
Continuing. 
break 
^C 
Program received signal SIGINT, Interrupt. 
0x00003a92 in fifo_put () 
(gdb) list 
1   in /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S 
(gdb) disas 
Dump of assembler code for function fifo_put: 
   0x00003a60 <+0>:   push   r28 
   0x00003a62 <+2>:   push   r29 
   0x00003a64 <+4>:   movw   r28, r24 
   0x00003a66 <+6>:   movw   r30, r22 
   0x00003a68 <+8>:   ldd   r18, Y+6   ; 0x06 
   0x00003a6a <+10>:   ldi   r19, 0x00   ; 0 
   0x00003a6c <+12>:   ldd   r24, Y+4   ; 0x04 
   0x00003a6e <+14>:   ldd   r25, Y+5   ; 0x05 
   0x00003a70 <+16>:   ldd   r20, Y+2   ; 0x02 
   0x00003a72 <+18>:   ldd   r21, Y+3   ; 0x03 
   0x00003a74 <+20>:   add   r24, r20 
   0x00003a76 <+22>:   adc   r25, r21 
   0x00003a78 <+24>:   ld   r22, Y 
   0x00003a7a <+26>:   ldd   r23, Y+1   ; 0x01 
   0x00003a7c <+28>:   call   0x3f7e   ;  0x3f7e <__udivmodhi4> 
   0x00003a80 <+32>:   mul   r24, r18 
   0x00003a82 <+34>:   movw   r26, r0 
   0x00003a84 <+36>:   mul   r24, r19 
   0x00003a86 <+38>:   add   r27, r0 
   0x00003a88 <+40>:   mul   r25, r18 
   0x00003a8a <+42>:   add   r27, r0 
   0x00003a8c <+44>:   eor   r1, r1 
   0x00003a8e <+46>:   ldd   r24, Y+7   ; 0x07 
   0x00003a90 <+48>:   ldd   r25, Y+8   ; 0x08 
=> 0x00003a92 <+50>:   movw   r20, r18 
   0x00003a94 <+52>:   movw   r22, r30 
   0x00003a96 <+54>:   add   r24, r26 
   0x00003a98 <+56>:   adc   r25, r27 
   0x00003a9a <+58>:   call   0x405c   ;  0x405c <memmove> 
   0x00003a9e <+62>:   ldd   r24, Y+4   ; 0x04 
   0x00003aa0 <+64>:   ldd   r25, Y+5   ; 0x05 
   0x00003aa2 <+66>:   ld   r22, Y 
   0x00003aa4 <+68>:   ldd   r23, Y+1   ; 0x01 
   0x00003aa6 <+70>:   cp   r24, r22 
   0x00003aa8 <+72>:   cpc   r25, r23 
   0x00003aaa <+74>:   brcs   .+16        ;  0x3abc <fifo_put+92> 
   0x00003aac <+76>:   ldd   r24, Y+2   ; 0x02 
   0x00003aae <+78>:   ldd   r25, Y+3   ; 0x03 
   0x00003ab0 <+80>:   adiw   r24, 0x01   ; 1 
   0x00003ab2 <+82>:   call   0x3f7e   ;  0x3f7e <__udivmodhi4> 
   0x00003ab6 <+86>:   std   Y+3, r25   ; 0x03 
   0x00003ab8 <+88>:   std   Y+2, r24   ; 0x02 
   0x00003aba <+90>:   rjmp   .+6         ;  0x3ac2 <fifo_put+98> 
   0x00003abc <+92>:   adiw   r24, 0x01   ; 1 
   0x00003abe <+94>:   std   Y+5, r25   ; 0x05 
   0x00003ac0 <+96>:   std   Y+4, r24   ; 0x04 
   0x00003ac2 <+98>:   pop   r29 
   0x00003ac4 <+100>:   pop   r28 
   0x00003ac6 <+102>:   ret 
End of assembler dump. 
(gdb) info breakpoints 
Num     Type           Disp Enb Address    What 
1       breakpoint     keep y   0x00004af4 in isspace at /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S:243 
(gdb) step 
Single stepping until exit from function fifo_put, 
which has no line number information. 
0x000006cc in log_usi_push () 
(gdb) list 
1   in /data2/home/toolsbuild/jenkins-knuth/workspace/avr8-gnu-toolchain/src/avr-libc/libc/stdlib/ctype.S 
(gdb) quit 
A debugging session is active. 

   Inferior 1 [Remote target] will be killed. 

Quit anyway? (y or n) y 

<< END >>
Comment 1 Fedora End Of Life 2013-12-21 09:31:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:19:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.